Texa DeskDevelopers

Client API · Contacts

Create a contact

POST/public/api/v1/inboxes/{inbox_identifier}/contacts

Path parameters

inbox_identifierstringrequired

The identifier obtained from API inbox channel

Body application/json

identifierstring

External identifier of the contact

identifier_hashstring

Identifier hash prepared for HMAC authentication

emailstring

Email of the contact

namestring

Name of the contact

phone_numberstring

Phone number of the contact

avatarstring (binary)

Send the form data with the avatar image binary or use the avatar_url

custom_attributesobject

Custom attributes of the customer

Responses

200

Success

idinteger

Id of the contact

source_idstring

The session identifier of the contact

namestring

Name of the contact when available

emailstring

Email of the contact

phone_numberstring

Phone number of the contact

pubsub_tokenstring

The token to be used to connect to texa-desk websocket

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring